Bug 1649408 - RHEL 7.6 - After yum update on overcloud, existing VM's are not starting
Summary: RHEL 7.6 - After yum update on overcloud, existing VM's are not starting
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tuned
Version: 7.6
Hardware: Unspecified
OS: Linux
urgent
urgent
Target Milestone: rc
: ---
Assignee: Jaroslav Škarvada
QA Contact: Robin Hack
Jiri Herrmann
URL:
Whiteboard:
Depends On:
Blocks: 1653819 1645412 1653767
TreeView+ depends on / blocked
 
Reported: 2018-11-13 15:09 UTC by yogananth subramanian
Modified: 2019-08-06 13:05 UTC (History)
17 users (show)

Fixed In Version: tuned-2.10.0-8.el7
Doc Type: Bug Fix
Doc Text:
.Virtual machines now work correctly on RHEL 7 nodes in RHOSP 10 Previously, upgrading a Red Hat Enterprise Linux 7 (RHEL 7) node in Red Hat OpenStack Plaform 10 (RHOSP 10) to a later minor version sometimes caused virtual machines (VMs) hosted on that node to become unable to start. This update fixes how the `tuned` service configures parameters of the _kvm-intel_ module, which prevents the described problem from occurring.
Clone Of: 1645412
: 1653767 1653819 (view as bug list)
Environment:
Last Closed: 2019-08-06 13:04:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2201 None None None 2019-08-06 13:05:18 UTC

Comment 1 Jaroslav Škarvada 2018-11-13 18:17:53 UTC
I am OK with the z-stream fix.

Comment 12 Jaroslav Škarvada 2018-11-22 16:45:41 UTC
Upstream commit addressing the problem:
https://github.com/redhat-performance/tuned/commit/c4a0aef63df41a79e96c1276ac732ecde8d58d86

It may look a bit over-engineered, but it's done this way to lower the possibility of race condition during Tuned startup / modules loading.

Comment 29 errata-xmlrpc 2019-08-06 13:04:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2201


Note You need to log in before you can comment on or make changes to this bug.